function colorizeRegion(h, Gt, field, color, varargin)
% Colorize area described by positive value for field
    samples = 200;
    figure(h);
    
    field   = double( field > 0);
    gx      = Gt.cells.centroids(:,1);
    gy      = Gt.cells.centroids(:,2);
    % following lines creates a band of NaN values around grid boundary, to
    % prevent extrapolation outside in the case of concave shapes.
    n       = extractGridBoundaryNodes(Gt);
    n       = n(1:end-1);
    corners = Gt.nodes.coords(n,:);
    % Create interpolant
    F       = TriScatteredInterp([gx(:); corners(:,1)], ...
                                 [gy(:); corners(:,2)], ...
                                 [field(:); NaN*ones(size(n))] );
    % Sampling grid
    X       = linspace(min(gx), max(gx), samples);
    Y       = linspace(min(gy), max(gy), samples);
    [x, y]  = meshgrid(linspace(min(gx), max(gx), samples), ...
                       linspace(min(gy), max(gy), samples));
    % Computing region contour
    cont    = contourc(X, Y, F(x,y), [0.1, 0.1]);
    
    i = 1;
    while i < size(cont, 2)
        num_points = cont(2,i);
        xp = cont(1, (i+1):(i+num_points));
        yp = cont(2, (i+1):(i+num_points));
        patch(xp, yp, color, varargin{:});
        i = i + num_points + 1;
    end
end

